# uv-cache

This is a very simple action that sets up cache support for `uv`. It doesn't do
anything else. I wrote this to work well with
[based-alpine](https://git.ficd.sh/ficd/based-alpine).

## Requirements

All dependencies `actions/cache@v4` must be satisfied, and `uv` must be
available on the path.

## Usage

Using this action is very simple. We also provide one output: `cache-hit`, which
is either "true" or "false".

```yaml
# you should always checkout first
# otherwise there is nothing to check cache against
- name: checkout source
  uses: actions/checkout@v4
- name: setup cache
  # assign the id if you want to check the boolean later
  id: uv-cache
  uses: https://git.ficd.sh/ficd/uv-cache@v1
- name: Check cache status
  run: |
    echo "Cache hit? ${{ steps.uv-cache.outputs.cache-hit }}"
```
